pcl::cuda::PointCloudAOS< Storage > Class Template Reference

PointCloudAOS represents an AOS (Array of Structs) PointCloud implementation for CUDA processing. More...

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/point_cloud.h>`

## Public Types

typedef Storage< PointXYZRGB >::type::iterator | iterator
typedef boost::shared_ptr< PointCloudAOS< Storage > > | Ptr
typedef boost::shared_ptr< const PointCloudAOS< Storage > > | ConstPtr

## Public Member Functions

| PointCloudAOS ()
PointCloudAOS & | operator= (const PointCloudAOS &rhs)
template<typename OtherStorage >
PointCloudAOS & | operator<< (const OtherStorage &rhs)
PointXYZRGB | at (int u, int v) const
PointXYZRGB & | operator() (int u, int v)
const PointXYZRGB & | operator() (int u, int v) const

## Public Attributes

Storage< PointXYZRGB >::type | points
| The point data. More...
unsigned int | width
| The point cloud width (if organized as an image-structure). More...
unsigned int | height
| The point cloud height (if organized as an image-structure). More...
bool | is_dense
| True if no points are invalid (e.g., have NaN or Inf values). More...

## Detailed Description

### template<template< typename > class Storage>
class pcl::cuda::PointCloudAOS< Storage >

PointCloudAOS represents an AOS (Array of Structs) PointCloud implementation for CUDA processing.

This is the most efficient way to perform operations on x86 architectures (using SSE alignment).

Definition at line 133 of file point_cloud.h.

## Member Typedef Documentation

## ConstPtr

template<template< typename > class Storage>

typedef boost::shared_ptr<const PointCloudAOS<Storage> > pcl::cuda::PointCloudAOS< Storage >::ConstPtr

Definition at line 202 of file point_cloud.h.

## iterator

template<template< typename > class Storage>

typedef Storage<PointXYZRGB>::type::iterator pcl::cuda::PointCloudAOS< Storage >::iterator

Definition at line 191 of file point_cloud.h.

## Ptr

template<template< typename > class Storage>

typedef boost::shared_ptr<PointCloudAOS<Storage> > pcl::cuda::PointCloudAOS< Storage >::Ptr

Definition at line 201 of file point_cloud.h.

## Constructor & Destructor Documentation

## PointCloudAOS()

template<template< typename > class Storage>

pcl::cuda::PointCloudAOS< Storage >::PointCloudAOS | ( |  | ) |

inline

Definition at line 136 of file point_cloud.h.

## Member Function Documentation

## at()

template<template< typename > class Storage>

PointXYZRGB pcl::cuda::PointCloudAOS< Storage >::at | ( | int | u,
|  | int | v
| ) |  | const

inline

Definition at line 165 of file point_cloud.h.

## operator()() [1/2]

template<template< typename > class Storage>

PointXYZRGB& pcl::cuda::PointCloudAOS< Storage >::operator() | ( | int | u,
|  | int | v
| ) |  |

inline

Definition at line 178 of file point_cloud.h.

## operator()() [2/2]

template<template< typename > class Storage>

const PointXYZRGB& pcl::cuda::PointCloudAOS< Storage >::operator() | ( | int | u,
|  | int | v
| ) |  | const

inline

Definition at line 182 of file point_cloud.h.

## operator<<()

template<template< typename > class Storage>
template<typename OtherStorage >

PointCloudAOS& pcl::cuda::PointCloudAOS< Storage >::operator<< | ( | const OtherStorage & | rhs | ) |

inline

Definition at line 151 of file point_cloud.h.

## operator=()

template<template< typename > class Storage>

PointCloudAOS& pcl::cuda::PointCloudAOS< Storage >::operator= | ( | const PointCloudAOS< Storage > & | rhs | ) |

inline

Definition at line 140 of file point_cloud.h.

References pcl::cuda::PointCloudAOS< Storage >::height, pcl::cuda::PointCloudAOS< Storage >::is_dense, pcl::cuda::PointCloudAOS< Storage >::points, and pcl::cuda::PointCloudAOS< Storage >::width.

## Member Data Documentation

## height

template<template< typename > class Storage>

unsigned int pcl::cuda::PointCloudAOS< Storage >::height

The point cloud height (if organized as an image-structure).

Definition at line 196 of file point_cloud.h.

Referenced by pcl::cuda::PointCloudAOS< Storage >::operator=().

## is_dense

template<template< typename > class Storage>

bool pcl::cuda::PointCloudAOS< Storage >::is_dense

True if no points are invalid (e.g., have NaN or Inf values).

Definition at line 199 of file point_cloud.h.

Referenced by pcl::cuda::PointCloudAOS< Storage >::operator=().

## points

template<template< typename > class Storage>

Storage<PointXYZRGB>::type pcl::cuda::PointCloudAOS< Storage >::points

The point data.

Definition at line 189 of file point_cloud.h.

Referenced by pcl::cuda::PointCloudAOS< Storage >::operator=().

## width

template<template< typename > class Storage>

unsigned int pcl::cuda::PointCloudAOS< Storage >::width

The point cloud width (if organized as an image-structure).

Definition at line 194 of file point_cloud.h.

Referenced by pcl::cuda::PointCloudAOS< Storage >::operator=().

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/point_cloud.h